Subject: bug#19161: 24.4; vc-mode reload on commit - don't jump to start of buffer

From: Stefan Monnier <[email-masked]>
Date: Wed, 26 Nov 2014 22:28:47 -0500

> It does appear to be moving point to the Id: dropping after commit.
> I just saw this behaviour again - let me have another go at making
> a recipe from emacs -Q.

I think it's probably expected behavior:

When a file is reverted, the file is compared to the buffer and only the
part between the first and the last changed bytes is replaced.

So, in your case, the "first changed byte" is at the "$Id" thingy, and
if the last changed byte is somewhere further down in the middle of the
file (or worse, near the end), then any marker (including "the point",
and window-points) will be moved to either right before or right after
the replaced text.

We could do better, by doing an actual "diff" and then applying the
patch, but someone would have to write it.

        Stefan